Create a project
Creates an owned project. Capacity, duplicate-domain, and plan checks run at request time.
POST
/projectsCreates an owned project. Capacity, duplicate-domain, and plan checks run at request time.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "domain": "string" }'{ "data": { "uid": "string", "name": "string", "domain": "string", "role": "owner", "crawler_enabled": true, "crawl_count": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}